20.07.97
	-- BUILDED the version 5.8 of the package --
19.07.97
	The minor mode (hm--html-minor-mode) in the Emacs 19 has now
	an entry to get the major mode menu - propably not the best
	solution, but better than nothing.
	Updated the Texinfo documentation.
17.07.97
	Added dummy definitions for defgroup and defcustom for the
	Emacs 19.
	The variable `site-run-file' is now used, if `site-start-file'
	doesn't exists (for Emacs 19 compatibility).
	Fixed a bug in the minor mode popup menu, which occured
	in the XEmacs together with the html-mode of the psgml
	package.
15.07.97
	The minor mode (hm--html-minor-mode) could now be used in many
	other (non html) major modes in the XEmacs, like the java-mode
	or the perl-mode. In these modes, in the XEmacs it adds it's
	own popup menu at the beginning of the major mode menu.
06.07.97
	Changed the file header of hm--html-mode.el, 
	internal-drag-and-drop.el and tmpl-minor-mode.el.
	They should now be compliant with standards.
	The mouse pointer in the XEmacs changes now it's shape,
	during the drag and drop.
01.07.97
	The package uses now the customisation stuff.
	Applied a patch from Dave Love <d.love@dl.ac.uk>, which fixed
	some font-lock bugs.
	Fixed a bug in `hm--html-insert-modified-line'. Thanks to 
	David M. Cook <dmcook@cts.com>, who reported this bug.
	The package respects now the emacs flags -q, -u and
	-no-site-file. -u is only respected, if the user config
	file isn't given neither by the environment variable nor by the
	lisp variable.
31.05.97
	Added the functions `define-obsolete-variable-alias' and
	`define-obsolete-variable-alias' for the Emacs 19 to the file
	adapt.el. This fixed a load bug in the Emacs 19.
24.05.97
	Added `hm--html-automatic-create-title-date' and changed the
	variable `hm--html-automatic-new-date' to
	`hm--html-automatic-update-title-date'. `hm--html-automatic-new-date'
	is now an obsolete variable and will be deleted in the future.
	Applied a patch from Luca Pisati <pisati@nichimen.com>, which
	fixed a bug in `hm--html-indent-region'. 
	Fixed a bug in the `hm--html-minor-region-mode-map'. Thanks to
	Luca Pisati, for the bug report.
	Applied a patch from Gary D. Foster <Gary.Foster@Corp.Sun.COM>
	to fix the misspelled words *formatted and *formating. Thanks Gary.
	Changed `hm--html-indent-line' so that the indentation leaves the
	point now at the old text position, if it was behind the
	indentation column.
	-- BUILDED the version 5.7 of the package --
23.05.97
	Changed the special character entities &circumflex to &circ,
	thanks to Guylaine Prat <prat@cisi.cnes.fr>, for the bug report.
	Added the variables `hm--html-automatic-changed-comment-prefix',
	`hm--html-automatic-created-comment-prefix' and
	`hm--html-automatic-comment-infix' to make the automatic insertation
	of created and changed comments more flexible.
	Added the command `hm--html-insert-modified-line' and the 
	variables `hm--html-automatic-create-modified-line',
	`hm--html-automatic-update-modified-line', `hm--html-modified-prefix',
	`hm--html-modified-start-tag', `hm--html-modified-end-tag' and
	`hm--html-modified-insert-before', for inserting and updating
	a visible "Modified line".
08.05.97
	Added the function `idd-get-buffer'.
29.03.97
	Fixed the problem with `:keys "\\[idd-help-mouse-drag-and-drop]"'
	in the Emacs 19.
	Fixed the template commands for the Emacs 19.
	Added the commands `tmpl-util-indent-region' and
	`tmpl-util-indent-buffer', which are useful utilities in
	template files.
	Changed frame.html.tmpl and command-description.html.tmpl, so that
	they now will be indented after their insertation.
28.03.97
	Fixed the commands `idd-mouse-drag-and-drop-click' and
	`idd-mouse-drag-and-drop-press-button-during-move' for the Emacs 19.
	Fixed also the mouse keybinding for these commands in the Emacs 19.
	Fixed the command `idd-start-mouse-drag-and-drop' for the Emacs 19.
	Therefore the internal drag and drop is now working again in the
	Emacs 19.
	The idd help functions are fixed for the Emacs 19.
	Fixed the function `hm--html-is-one-element-tag-p' for the Emacs 19.
26.03.97
	Applied a patch from Michael D. Harnois to fix the documentation.
	Fixed a bug in adapt.el.
	-- BUILDED the version 5.6 of the package --
25.03.97
	Fixed a bug in `hm--html-search-place-for-element-in-head'.
	Fixed bugs in `hm--html-add-base' and `hm--html-add-isindex'.
	Renamed all calls to `hm--html-add-mail-link*' to
	`hm--html-add-mail-box-link*' - this fixed bugs in the menus and
	keybindings.
	Fixed `hm--html-frame-template-file'.
	Fixed some keybinding bugs.
	-- BUILDED the version 5.5 of the package --
24.03.97
	Added the function `mouse-event-p' for the Emacs 19 to adapt.el.
	The internal-drag-and-drop package uses know the function
	`file-remote-p' instead of `ange-ftp-ftp-path'. If this
	function is not available in an emacs, the function will be
	defined and will use the function `ange-ftp-ftp-path'.
	Fixed bugs in `idd-mouse-drag-and-drop-click' for the Emacs 19.
23.03.97
	Fixed some bugs, so that the package is now again loadable
	in the Emacs 19 (19.34).
	Changed popup-menu-up-p to popup-up-p, menu-event-p to
	misc-user-event-p.
	Fixed some other XEmacs compilation bugs.
	Fixed bugs in `hm--html-add-isindex' and `hm--html-add-base'.
	Moved the commands `hm--html-add-server-side-include-file',
	`hm--html-add-server-side-include-command' and
	`hm--html-add-server-side-include-command-with-isindex-parameter'
	to hm--html-not-standard.el.
	Fixed a bug in `hm--html-add-document-division-to-region'.
	Deleted some obsolete stuff in `hm--html-add-link'.
	Fixed bugs in `hm--html-add-basefont', `hm--html-add-mail-box-link',
	`hm--html-add-mail-box-link-to-region', `idd-list-1-subset-of-list-2',
	`idd-same-elements-p', `idd-start-mouse-drag-and-drop',
	`idd-mouse-drag-and-drop-click', `idd-if-minor-mode-p',
	`idd-if-modifiers-p' and `tmpl-read-template-filename'.
22.03.97
	Fixed some documentation bugs in tmpl-minor-mode.el.
	Changed the key bindings in the tmpl-minor-mode. They are now
	using all the prefix C-c C-c.
	Fixed some documentation bugs in internal-drag-and-drop.el.
	Added a package documentation as Texinfo file. It documents also
	the included packages for internal drag and drop and for
	templates.
	-- BUILDED the version 5.4 of the package --
18.03.97
	Applied a patch from Martin Buchholz <mrb@Eng.Sun.COM>,
	to fix some spelling errors.
	Changed the value of the variable `tmpl-sign' to \000.
25.02.97
	Fixed two bugs, which occured during loading the mode
	after the psgml-html-mode.
	In the minor mode, the HM--HTML menu will now be added before
	the HTML menu.
	Due to a patch of psgm-html.el it is now possible to call the minor
	mode from a hook variable in the html-mode and the html3-mode.
	-- BUILDED the version 5.3 of the package --
22.02.97
	Fixed 'hm--html-add-strikethru-to-region'.
	Changed `hm--html-view-www-package-docu' for the new location
	of the package documentation.
	Moved all functions, which added obsolete or non HTML 3.2 elements,
	to hm--html-not-standard.el. This file is not used by default.
	Therefore this mode fulfils now the whole HTML 3.2 standard!
	Added keybindings for new html functions.
	Changed some old keybindings.
	Moved the menu items for inserting HTML comments to the
	"Formating Paragraphs" menu.
	Fixed a bug in the function `hm--html-add-meta'.
	The variable `indent-line-function' is now local in all
	hm--html-mode buffers. This fixed the bug, that the hm--html-mode
	had set the indentation function to `hm--html-indent-line' global.
	Added the html elements STYLE and SCRIPT.
	-- 23:20: My doughter Sarah Madeleine is born! --
18.02.97
	Fixed a compilation bug.
	-- BUILDED the version 5.2 of the package --
17.02.97
	Changed the function `hm--html-read-alignment' according to the
	HTML version 3.2.
	Added a more general command for adding images.
	Added the HTML elements MAP and AREA.
	Added a command for adding an image and a map.
15.02.97
	Fixed some bugs in the insert full frame stuff.
	Added the DOCTYPE to the full frame stuff.
	Added the HTML elements DIV, FONT and BASEFONT.
14.02.97
	Added the HTML elements DOCTYPE, ISINDEX, BASE, META.
	Added all one tag elements used in HTML 3.2 to the list
	`hm--html-tag-name-alist' to make the indentation happy.
	Fixed a bug in the indentation after one tag elements.
12.02.97
	Renamed command-description.tmpl to command-description.html.tmpl.
	The indentation stuff can now be disabled by setting the
	variable `hm--html-disable-indentation' to t.
	Fixed the long annoying bug, that the directory in the pop up
	frame for selecting the template file was wrong in most cases.
	-- BUILDED the version 5.1 of the package --
11.02.97:
	Changed the whole indentation stuff. It is now all working -
	with the exceptions, that the list `hm--html-tag-name-alist'
	contains not all "one element tags", and also text between
	pre tags will be intended.
09.02.97:
	Fixed a bug in the template stuff.
	Moved the whole indentation stuff to the new file
	hm--html-indentation.el.
06.02.97:
	The indentation of two tag elements are now working.
03.02.97:
	It is now possible to use an own site specific configuration file.
	For that the variable `hm--html-site-config-file' was added.
	Added some code from Bob Weiner to modify the syntax table,
	change the comment start and end and the sentence end.
	Started to add the indentation.
	The indentation in comments is now working.
01.02.97:
	In the source and destination description of a drag and drop
	are now used marks instead of points. This fixed bugs, which
	occured, if the source and the destination buffer are the same.
	A help feature was implemented.
30.01.97:
	Added some new features to the drag and drop interface, like
	the macro `idd-start-mouse-drag-and-drop', which is usefull to
	define action functions. The event is now also stored in the source
	and destination description.
	Changed the order of the arguments destination and source
	to source and destination.
	Changed the name of all idd specification type functions
	to idd-if-*-p.
27.01.97:
	Changed the source and destination in the drag and drop functions,
	so that they are now used in a standard way.
	Added the command `idd-start-mouse-drag-and-drop', which could
	be used to start a drag and drop command without a button-press-event.
	Used the command `idd-start-mouse-drag-and-drop' in the hm--html
	menus.
26.01.97:
	Renamed the function `tmpl-insert-template-file' to
	`tmpl-insert-template-file-from-fixed-dirs'.
	Added a function `tmpl-insert-template-file', which doesn't use
	a file filter and a list of directories.
	Changed both functions, so that they now use the variables
	`tmpl-template-dir-list', `tmpl-automatic-expand',
	`tmpl-filter-regexp' and `tmpl-history-variable-name'
	instead of optional arguments.
	Changed the name of the file frame.html to frame.html.tmpl. This is
	usefull, if you've templates for multiple modes in one directory and
	you want to use the new filter feature of the command
	`tmpl-insert-template-file-from-fixed-dirs'.
	Changed the function `hm--html-insert-template' and added
	the function `hm--html-insert-template-from-fixed-dirs'. They are
	using the functions `tmpl-insert-template-file' and
	`tmpl-insert-template-file-from-fixed-dirs'.
	The function `hm--html-insert-created-comment' is no longer
	called in this functions. If needed, then this function must be
	inserted in the template file. This is done now with the file
	frame.html.tmpl.
22.01.97:
	Changed the function `tmpl-insert-template-file':
	It is now possible to use a file filter and a list
	of directories, in which template files could be.
19.01.97:
	Applied a patch from Andreas Ernst to fix bugs in the table stuff.
	Added a '(let ((case-fold-seach t))' in all functions of hm--html.el,
	which are call a search function with lowercase letters.
	The functions to insert ordered, normal and dired list are fixed to
	use <LI> </LI> tags instead of only <LI>.
	Fixed a keybind bug for C-c C-s i.
	Fixed a wrong call to `hm--html-add-only-description-entry'.
	Fixed a bug in the argument list of hm--html-add-tags-to-region.
	Fixed a bug in `hm--html-add-tags-to-region', which was caused by the
	indentation.
	Fixed a bug in `hm--html-add-relative-link-to-region' and
	`hm--html-add-relative-link'.
	Replaced `hm--html-file-relative-name' with `file-relative-name'.
	Changed the font-lock stuff. It uses now the property list of 
	`font-lock-defaults' and the three keyword lists
	'html-font-lock-keywords', `html-font-lock-keywords-1' and
	`html-font-lock-keywords-2'.
	Fixed a bug in the drag and drop variables.
	Changed the drag and drop command, so that it could be called 
	also from a menu.
	Added the drag and drop command to the pop up menus.
15.08.96:
	The items of the menu "Set popup menu" are now radio items.
	-- BUILDED the version 5.0 of the package --
03.08.96:
	Applied a patch from Jerry G. DeLapp <jgd@lanl.gov> to
	`html-font-lock-keywords'.
	Added the param tag for the applet element.
	Added the functions `hm--html-add-relative-link' and
	`hm--html-add-relative-link-to-region', which have better
	support for relative links than the functions for inserting
	general links.
	Added functions to insert the center element.
	Added functions to insert the small and big elements.
31.07.96:
	Added the applet element.
	The tags for menu items and description entries and titles
	are now inserted with a start and a end tag.
	Fixed some keybinding bugs.
	Added the function 'hm--html-indent-region'. At the moment
	the indentation works only in the minor mode and if the major
	mode provides an indentation function, like it is in the psgml 
	mode.
20.07.96:
	Fixed bugs in the popup and pulldown menu handling in the Emacs 19.
	Speeded up the first popup of some of the menus in the Emacs 19.
	The keybinding for the popup menu in the Emacs 19 has changed to
	C-down-mouse-3. The variables 
	`hm--html-emacs19-popup-noregion-menu-button' and
	`hm--html-emacs19-popup-region-menu-button' should be used in the Emacs
	19 to change the keybindings. They are defined in hm--html-keys.el.
	Fixed a bug in the font-lock stuff for the Emacs 19.
	The popup menus of the minor mode worked now also in the Emacs 19.
	The pulldown menu of the minor mode worked now also in the Emacs 19.
	The name of the pulldown menu can now be changed with the variable
	`hm--html-mode-pulldown-menu-name'.
	All settings in hm--configuration.el are now made with `defvar'.
	So it's easier now to overwrite this values in other files.
	All old lisp stuff deleted.
	Added Keybindings for the commands in the include and the forms 
	submenu.
	Fixed a bug in the command `hm--html-smart-less-than'.
19.07.96:
	Changed the functions hm--popup-html* to hm--html-popup*.
	The Emacs 19 popup menus are now realized as direct bindings of
	the menu maps to the mouse button. This fixed a bug.
18.07.96:
	The popup menus in the Emacs 19 are now much faster, because
	the keymaps are only computed once from the XEmacs menu
	description instead of each time.
	Fixed a bug in the keybinding stuff for the Emacs 19.
16.07.96:
	Added the function `hm--html-smart-ampersand'.
	Added the minor modes `hm--html-minor-mode' and
	`hm--html-minor-region-mode'. They should provide
	the menus and commands of this package for the
	psgml-html-mode.
	The prefix key of the minor and of the major modes
	could now be changed with `hm--html-minor-mode-prefix-key'
	and `hm--html-mode-prefix-key'.
14.07.96:
	Ported the internal drag and drop interface for the Emacs 19.
	Changed the Keybinding for the drag and drop function to
	M-C-button1 (M-C-mouse-1).
	Changed hm--install-html-menu for the Emacs 19. It uses now the
	package easy-menu to install the pulldown menu. This fixes the
	bug, that the HTML pulldown menu is a global menu.
13.07.96:
	Updated the file header comments a little bit.
10.07.96:
	Added the file hm--html-mode.el instead of html-mode.el.
	Changed the mode name to hm--html-mode.
	Fixed a bug in the function `hm--html-generate-help-buffer-faces',
	which occurs, if a color is set to nil.
	The font-lock mode is no longer called direct from the 
	hm--html-mode.
	The file html-mode.el should no longer be needed for this mode.
09.07.96:
	Added the functions `hm--html-add-normal-link', 
	`hm--html-add-address', `html-add-list-or-menu-item`, 
	`hm--html-add-list', `hm--html-add-menu',
	`hm--html-add-description-list', `hm--html-add-description-entry',
	`hm--html-add-plaintext', `hm--html-add-blockquote',
	`hm--html-add-listing', `hm--html-add-fixed',
	`hm--html-add-emphasized', `hm--html-add-strong',
	`hm--html-add-keyboard', `hm--html-add-variable',
	`hm--html-add-sample', `hm--html-add-citation',
	`hm--html-quotify-hrefs' to the file hm--html.el. Similar
	functions are defined in the past in the file html-mode without
	the prefix hm--.
	Removed Marc's menu. Maybe a simple flat menu will be added
	in the future, similar to Marc's menu.
	Removed the old keymaps from the configuration file.
	Moved the provide forms to the end of the files.
07.07.96:
	Added the drag and drop interface. With that it is possible
	to insert links and images by just Meta Button 1 clicking
	on its source and destination.
01.03.96:
	Added the function `tmpl-insert-template-file'.
18.02.96:
	-- BUILDED the version 4.16 of the package --
17.02.96:
	Added the mailto link.
03.02.96:
	Fixed the 'void function font-lock-hack-keywords' bug.
15.10.95:
	Added support for the swedish ISO-Characters aring and Aring.
	It was a patch from Ola Stromfors <Ola.Stromfors@linkoping.trab.se>.
17.09.95:
	It is now possible to disable the keybindings for the ISO Latin 1
 	character entities.
	-- BUILDED the version 4.15 of the package --
05.09.95:
	Fixed a bug in the changed comment functions.
	Fixed a description typo.
	-- BUILDED the version 4.14 of the package --
24.08.95:
	Fixed the new keybindings for the Emacs 19.
22.08.95:
	Added smart functions for inserting <,> or their html entities.
	Added the function 'hm--html-send-buffer-to-netscape' to support
	netscape.
	Added a menu item to view the WWW page of the package.
	-- BUILDED the version 4.13 of the package --
18.08.95:
	Fixed the Makefile to include also the file hm--html-keys.el.
	Fixed the 'missing util-return-end-of-line' bug.
	Fixed the read-file-name bug in the Emacs 19.
	Fixed a bug in the changed comment functions.
29.07.95:
	Fixed some bugs in the table code.
	New, better and more key bindings.
	Added functions to insert ISO 8851-1 characters as html entities.
	Thanks to Berthold Crysmann <crysmann@rrz.uni-hamburg.de> for
	providing the code for it.
	-- BUILDED the version 4.12 of the package --
12.05.95:
	Changed the color handling functions, so that the font-lock colors
	are now longer overwritten by this mode.
	Added functions to insert the paragraph element with start and
	end tag.
	Applied a patch from Noriaki Seki <kerolyn@rst.fujixerox.co.jp>,
	which fixes a bug in searching the string </head>.
	Fixed a typo in hm--html-load-config-files (Thanks to 
	"Valeriy E. Ushakov" <uwe@snark.niif.spb.su>).
	Added a command to insert a <LINK> element as suggested by
	ssd@tad.eds.com (Sean Dowd).
	Fixed a typo in hm--html-set-point-for-signature.
	Added a new template file: frame.tmpl.
	Changed the name of command-description-template-2.html to
	command-description.tmpl and deleted the file
	command-description-template.html.
	Added the new menu item: "Frame Template" as suggested by
	ssd@tad.eds.com (Sean Dowd).
	Fixed a bug hm--html-remove-numeric-names (Thanks to 
	D-P Deng <deng@owl.rhic.bnl.gov>).
	Added a command to submit bug reports (suggested by 
	D-P Deng <deng@owl.rhic.bnl.gov>).
	Changed `(defconst html-font-lock-keywords' to
	`(defvar html-font-lock-keywords' (suggested by
	rickb@isdn-szerelem.mti.sgi.com (Rick Braumoeller).
	Fixed the table functions.
	-- BUILDED the version 4.11 of the package --
02.03.95:
	-- BUILDED the version 4.8 of the package --
	Included the changes from the XEmacs 19.12 Beta 26.
	Added Support for the finder package.
	-- BUILDED the version 4.9 of the package --
	Fixed some minor documentation bugs.
	-- BUILDED the version 4.10 of the package --
30.03.95:
	Changed all calls of `concat', so that no longer numbers are
	given as arguments to concat.
	Removed the file .hm--html-configuration.el from the distribution.
	This does not mean, that the file is no longer supported. The
	file was only an example and the user has to build his own one.
	The example is now given in the README file.
	Fixed a bug in the region minor mode.
	
14.01.95:
	-- BUILDED the version 4.7 of the package --
12.01.95:
	Changed the behaviour of the function `hm--html-add-table'.
06.01.95:
	Added the variable `hm--html-user-config-file', as onother way
	to specify the user config file.
	-- BUILDED the version 4.6 of the package --
04.01.95:
	Added functions to insert tables.
	-- BUILDED the version 4.5 of the package --
03.01.95:
	Faces are only modified, if they don't exist (I hope :-).
	html-view.el works now with Mosaic 2.4.
	`hm--html-add-full-html-frame' now tries only to insert a signature,
	if `hm--html-signature-file' is non-nil.
	Added the functions:
	`hm--html-add-strikethru' and `hm--html-add-strikethru-to-region',
	`hm--html-add-superscript' and `hm--html-add-superscript-to-region',
	`hm--html-add-subscript' and `hm--html-add-subscript-to-region',
	`hm--html-add-command' and `hm--html-add-command-to-region',
	`hm--html-add-argument' and `hm--html-add-argument-to-region',
	`hm--html-add-quote' and `hm--html-add-quote-to-region',
	`hm--html-add-person' and `hm--html-add-person-to-region',
	`hm--html-add-acronym' and `hm--html-add-acronym-to-region',
	`hm--html-add-abbrevation' and `hm--html-add-abbrevation-to-region',
	`hm--html-add-literature' and `hm--html-add-literature-to-region',
	`hm--html-add-abstract' and `hm--html-add-abstract-to-region',
	`hm--html-add-footnote' and `hm--html-add-footnote-to-region',
	`hm--html-add-margin' and `hm--html-add-margin-to-region',
	`hm--html-add-author' and `hm--html-add-author-to-region',
	`hm--html-add-publication' and `hm--html-add-publication-to-region',
	`hm--html-add-editor' and `hm--html-add-editor-to-region',
	`hm--html-add-credits' and `hm--html-add-credits-to-region',
	`hm--html-add-copyright' and `hm--html-add-copyright-to-region',
	`hm--html-add-isbn' and `hm--html-add-isbn-to-region',
	`hm--html-form-add-input-integer',
	`hm--html-form-add-input-float',
	`hm--html-form-add-input-date',
	`hm--html-form-add-input-url',
	`hm--html-form-add-input-scribble',
	`hm--html-form-add-input-audio'.
15.03.94:
	-- ANNOUNCEMENT of version 4.0 of the package --
	Added the missing file hm--date.el to the package.
	Changed the line ` (let ((config-file (format "/tmp/xmosaic.%d"'
	to `(let ((config-file (format "/tmp/Mosaic.%d"' in the file
	html-mode.el for the new Mosaic.
03.03.94:
	Deleted the wrong "external viewer stuff" for the include images.
17.02.94:
	Fixed a bug in the function `hm--html-insert-changed-comment'.
	-- ANNOUNCEMENT of version 3.9 of the package --
14.02.94:
	Changed the function adapt-emacsp to adapt-emacs19p.
	-- ANNOUNCEMENT of version 3.8 of the package --
13.02.94:
	One can now set the font lock color also in the GNU Emacs 19.
	Deleted the highlighting stuff.
01.02.94:
	Fixed a lot of spelling errors by jml.
18.01.94:
	-- ANNOUNCEMENT of version 3.7 of the package --
11.01.94:
	Fixed a bug in html-view.el.
10.01.94:
	Fixed a bug in the function read-number.
	The automatic switch between region and noregion commands is now
	working also in the GNU Emacs 19.
	Fixed a bug in the region popup menu fo novice users.
	The font-lock-mode (except of the use of colors) is now working in
        then GNU Emacs 19.
	-- ANNOUNCEMENT of version 3.6 of the package --
09.01.94:
	Added the highlighting feature of the examples for the GNU Emacs 19.
07.01.94:
	The pulldown menu and the popup menus are now working in the 
	GNU Emacs 19.
	-- ANNOUNCEMENT of version 3.5 of the package --
29.12.93:
	Added a function to insert the image input field.
	Added a function to insert the form tags to an active region.
	Changed the function hm--html-select-directory.
	Added a function to remove numeric names.
	The variable hm--html-delete-wrong-path-prefix can now be used as 
	string and as list of strings. Therfore it is now possible to
	specify more than one path prefixes, which should be removed.
	Changed the pulldown menu.
	The package can now be loaded in the GNU Emacs 19. But the menus
	doesn't work correct and the functions are not tested.
28.12.93:
	Added a function to expand templates (Look at templates.el).
	Whitespaces are now allowed between the closing bracket of the date
	and the tag </TITLE>, if you want to update the date of the document.
	Fixed the wrong use of the html command <inc srvurl "|command">.
	Fixed a little Bug in the function, which includes the tags for a form.
	The config files are now searched on standard places, if no environment
	variables are specified.
	Changed the file html-view.el for the use of the Mosaic-2.1. It uses 
	now also the variable html-sigusr1-signal-value instead of a hard coded
	value for the SIGUSR1 value.
	Added a function to insert the isindex input field in a form tag.
15.12.93:
	-- ANNOUNCEMENT of version 3.0 of the package --

11.12.93:
	New functions, to insert the tags <BR>, <HR> and <P> (<P> without a 
	leading Blank).
	Fixed a Bug in the function hm--html-add-description-list-to-region
	(<DT> instead of </DT>).
	Added the function hm--html-add-normal-link-to-region to fix the 
	problem with inactivating the region during the link generation.
	Added functions to insert direct links to wais server 
	(HREF="wais://...).
	Changed the wrong functionnamess html-add-definion-to-region and 
	html-add-definion in the menus to hm--html-add-definion-to-region 
	and hm--html-add-definion (the old symbols were void).
	Added function to insert middle aligned inline images.
	Added the 'ALT'- attribute to the 'add-image'- functions.
	Changed the submenu "Inligned images".
	Added support for the server side include directives.
	Added functions to insert "created" and "changed" comments.
	Added function to update the date in the title.
	Added support for forms.
27.10.93:
	Setting of hm--html-font-lock-color in one of the files
	.hm--html-configuration.el or hm--html-configuration.el to determine
	the color of the html-tags works now correct.
24.10.93: 
	-- ANNOUNCEMENT of version 2.0 of the package --
	The file hm--date.el is now also in this package.
	Deleted the numeric anchor name stuff altogether. Therefore the
        package can now use the version 2.1 of Marc Andreessens html-mode.el
	instead of the version 2.0.
	Added some keytable entrys.
	Added the minor mode html-region-mode, which is active, if a region
	is active. The minor-mode has its own keytable. That is why it is now
	possible to use the same key sequences with different two functions,
	one for adding something to an active region and one for adding some-
	thing without a region.
	All keys, without the keys which are defined by Marc Andreessen in
	his file html-mode.el, are now defined in the general configuration
	file hm--html-configuration.el.
25.09.93:
	Fixed the wrong string "adress".
	Added functions and menu items to insert html, head, and body elements
	and to insert a complete html frame with the above elements, the title
	the header and the signature.
	The functions, which adds the header and the title at the same time
	are now only using the header size 1.
	Added functions for inserting underline and definition styles.
	Changed the menu "Formated" according to the HTML quick reference
	from Michael Grobe.
	Changed the menu item name "Fixed" to "Typewriter".
	Added functions to insert directory lists.
	Changed the names of menu items in the submenu "Structure" according
	to the HTML quick reference from Michael Grobe.
23.09.93:
	Changed the functions to add the signature and the title.
	This functions uses now the new tags <html>, </html>,
	<head>, </body> and <isindex> to places the signature and
	the title in a html-file.
	Fixed also some minor bugs;


Local Variables:
mode: text
minor-mode: auto-fill-mode
fill-prefix: "	"
End: